Skip to main content
GET
/
api
/
v1
/
workspaces
/
{id}
Get workspace
curl --request GET \
  --url https://api.dualship.run/api/v1/workspaces/{id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2024-01-15T10:30:00Z",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "logo_url": "https://cdn.example.com/logo.png",
  "metadata": {},
  "name": "Acme Corp",
  "slug": "acme-corp",
  "updated_at": "2024-01-15T10:30:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualship.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Path Parameters

id
string
required

Workspace ID

Response

Workspace details

Workspace information

created_at
string
Example:

"2024-01-15T10:30:00Z"

id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

logo_url
string
Example:

"https://cdn.example.com/logo.png"

metadata
object
name
string
Example:

"Acme Corp"

slug
string
Example:

"acme-corp"

updated_at
string
Example:

"2024-01-15T10:30:00Z"